SDL_SetTextureBlendMode(3)

NAME
SDL_SetTextureBlendMode - Set the blend mode for a texture, used by SDL_RenderTexture().

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_SetTextureBlendMode(SDL_Texture *texture, SDL_BlendMode blendMode);

DESCRIPTION
If the blend mode is not supported, the closest supported mode is chosen and this function returns false.

FUNCTION PARAMETERS

texture
    the texture to update.

blendMode
    the SDL_BlendMode to use for texture blending.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetTextureBlendMode(3)